
%-------------------------------------------------------------------------------
%   Generate horizon sensor and sun sensor data
%-------------------------------------------------------------------------------
%   Form:
%   [tLE,tTE,sA,uNadir,eRadius] = ADGen( el, uSun, uSpin, spinRate, mA, 
%                                        hSADelay, hSAQuant,hSAQuantType, 
%                                        hSAOneSigma, cantAngle, cantBias,
%                                        dihedralBias, sSAQuant, sSAQuantType,
%				                         sSAOneSigma, sSABias, eRadiusBias )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   el           (6)       Orbital elements
%   uSpin        (3,1)     Spin axis
%   uSun         (3,n)     Sun vector
%   spinRate               Spacecraft spin rate (rad/sec)
%   mA           (n)       Mean anomalies at which to take the data
%   hSADelay     (m)       Delay in the edge times (sec)
%   hSAQuant     (m)       HSA data quantization
%   hSAQuantType (m)       Type of quantization-either 'round' or 'truncate'
%   hSAOneSigma  (m)       Noise
%   cantAngle    (m)       Sensor cant angles
%   cantBias     (m)       Cant angle bias
%   dihedralBias (m)       dihedral angle bias
%   sSAQuant               Sun sensor data quantization
%   sSAQuantType           Type of quantization-either 'round' or 'truncate'
%   sSAOneSigma            Noise
%   sSABias                Sun sensor data bias
%   eRadiusBias            Earth bias
%
%   -------
%   Outputs
%   -------
%   tLE          (m,n)     Leading edge times
%   tTE          (m,n)     Trailing edge time
%   sA           (n)       Sun angles
%   uNadir       (3,n)     Nadir vectors
%   eRadius      (n)       Earth radius
%
%-------------------------------------------------------------------------------