
%-------------------------------------------------------------------------------
%   Transformation matrix from the perifocal frame to the inertial frame.
%-------------------------------------------------------------------------------
%   Form:
%   c = CP2I( i, L, w )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   i               (3,1) Inclination
%   L               (3,1) Longitude of the ascending node
%   w               (3,1) Argument of perigee
%
%   -------
%   Outputs
%   -------
%   c               (3,3) Transformation matrix
%
%-------------------------------------------------------------------------------
%   References: Bate, Roger R., Fundamentals of Astrodynamics, Dover 
%                Publications, Inc., New York, 1971, pp. 82-83.
%-------------------------------------------------------------------------------