
%-------------------------------------------------------------------------------
%   Computes the derivative of the chordwidth with respect to the 
%   vector [ right ascension  ]
%          [ declination      ]
%          [ cant angle bias  ]
%          [ earth width bias ] 
%
%   The output is
%   [w/ra, w/dec, w/cantAngleBias, w/earthWidthBias]
%-------------------------------------------------------------------------------
%   Form:
%   H = DHCWDX( ra, dec, cg, sg, er, ue )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   ra                     Right ascension
%   dec                    Declination
%   cg                     Cosine of the cant angle
%   sg                     Sine of the cant angle
%   er         (n)         Earth radius
%   ue         (3,n)       Nadir vector
%
%   -------
%   Outputs
%   -------
%   H                      Derivative
%
%-------------------------------------------------------------------------------