
%-------------------------------------------------------------------------------
%   Computes the derivatives of the dihedral angle with respect
%   to right ascension and declination
%-------------------------------------------------------------------------------
%   Form:
%   H = DHDADX( ra, dec, us, ue )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   ra                     Right Ascension
%   dec                    Declination
%   us           (3,n)     Unit sun vectors
%   ue           (3,n)     Unit nadir vectors
%
%   -------
%   Outputs
%   -------
%   H            (n,2)     [da/ra da/dec]
%
%-------------------------------------------------------------------------------