
%-------------------------------------------------------------------------------
%   Computes the true anomaly from the eccentric or hyperbolic anomaly.
%-------------------------------------------------------------------------------
%   Form:
%   nu = E2Nu( e, E )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   e             (1,:)   Eccentricity
%   E             (1,:)   Eccentric or Hyperbolic anomaly
%
%   -------
%   Outputs
%   -------
%   nu            (1,:)   True anomaly
%
%-------------------------------------------------------------------------------
%   References:   Bate, R. R., Fundamentals of Astrodynamics. pp. 20-40.
%-------------------------------------------------------------------------------