
%-------------------------------------------------------------------------------
%   Approximate root to Kepler's Equation for elliptical and hyperbolic orbits.
%-------------------------------------------------------------------------------
%   Form:
%   eccAnom = M2EApp( e, meanAnom )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   e             (: or 1)  Eccentricity
%   meanAnom      (:)       Mean anomaly
%
%   -------
%   Outputs
%   -------
%   eccAnom       (:)       Eccentric anomaly
%
%-------------------------------------------------------------------------------
%   References: Battin, R.H. (1987). An Introduction to the
%               Mathematics and Methods of Astrodynamics, AIAA Press, p. 194.
%-------------------------------------------------------------------------------