
%-------------------------------------------------------------------------------
%   Eccentric anomaly for an ellipse.
%   Computed from the mean anomaly and the eccentricity. The user can optionally 
%   specify a tolerance and maximum number of iterations.
%-------------------------------------------------------------------------------
%   Form:
%   eccAnom = M2EEl( ecc, meanAnom, tol, nMax )   or
%   eccAnom = M2EEl( ecc, meanAnom, tol )         or
%   eccAnom = M2EEl( ecc, meanAnom)
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   ecc            (1,:) Eccentricity
%   meanAnom       (1,:) Mean anomaly
%   tol            (1,1) Tolerance(optional, default is 1e-8)
%   nMax           (1,1) Maximum number of iterations
%                        (optional, default is no maximum. Can
%                        only be input if tol is also specified.)
%   -------
%   Outputs
%   -------
%   eccAnom        (1,:) Eccentric anomaly
%
%-------------------------------------------------------------------------------