
%-------------------------------------------------------------------------------
%   Computes the sun sensor data for a spinning spacecraft. This computes
%   the angle between the sun and the spin-axis. 
%-------------------------------------------------------------------------------
%   Form:
%   sa = SunData( usun, uspin, quant, qtype, onesigma, bias )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   usun         (3,n)     Unit sun vector
%   uspin        (3,1)     Unit spin axis vector
%   quant                  Quantization
%   qtype                  Type of quantization-either 'round' or 'truncate'
%   onesigma               One sigma noise
%   bias                   Sensor bias
%
%   -------
%   Outputs
%   -------
%   sa                     The angle between the sun line and the spin axis
%
%-------------------------------------------------------------------------------