
%-------------------------------------------------------------------------------
%   Eliminates horizon sensor measurements whose corresponding
%   estimated measurement is a complex number because the
%   |arcosine| > 1
%-------------------------------------------------------------------------------
%   Form:
%   [ue, us, er, zh, Wh, zc, Wc] = ZCull( ra, dec, g, ue, us, er, der, zh, Wh )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   ra                     Right Ascension
%   dec                    Declination
%   g                      Cant angle
%   ue                     Nadir vector
%   us                     Sun vector
%   er                     Earth radius
%   der                    Delta earth radius
%   zh                     Measurements
%   Wh                     Chordwidths                     
%
%   -------
%   Outputs
%   -------
%   ue                     Nadir vector
%   us                     Sun vector
%   er                     Earth radius
%   der                    Delta earth radius
%   zh                     Measurements
%   Wh                     Chordwidths  
%   zc                     Culled measurements
%   Wc                     Culled chordwidths                   
%
%-------------------------------------------------------------------------------